Skip to main content
GET
/
pipeline-data
/
correlate
Correlate quality events with process parameters
curl --request GET \
  --url https://acusight.io/api/pipeline-data/correlate \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://acusight.io/api/pipeline-data/correlate"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://acusight.io/api/pipeline-data/correlate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "correlations": [
    {
      "join_method": "<string>",
      "params": {},
      "quality_event": {
        "attributes": [
          123
        ],
        "confidence": 123,
        "cycle_id": 123,
        "defect_code": "<string>",
        "detection_ids": [
          123
        ],
        "device_id": "<string>",
        "disposition": "<string>",
        "id": "<string>",
        "ingestion_time": "<string>",
        "organization_id": "<string>",
        "part_id": "<string>",
        "part_number": "<string>",
        "pipeline_id": "<string>",
        "process_type": "<string>",
        "session_id": "<string>",
        "source": "<string>",
        "station_id": "<string>",
        "timestamp": "<string>"
      }
    }
  ],
  "total": 123
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Query Parameters

start
string
required

RFC3339 start timestamp (inclusive)

end
string
required

RFC3339 end timestamp (exclusive)

measurement
string

Metric measurement to correlate against (default process_params)

defect_code
string

Only correlate quality_events with this defect_code

Response

OK

correlations
object[]
total
integer